#define CONDITION_A

namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter18.Listing18_23
{
    using System;
    using System.Diagnostics;

    public class Program
    {
        public static void Main()
        {
            Console.WriteLine("Początek...");
            MethodA();
            MethodB();
            Console.WriteLine("Koniec...");
        }

        [Conditional("CONDITION_A")]
        static void MethodA()
        {
            Console.WriteLine("Wykonywanie metody MethodA()...");
        }

        [Conditional("CONDITION_B")]
        static void MethodB()
        {
            Console.WriteLine("Wykonywanie metody MethodB()...");
        }
    }
}